## snacc 1.3.1

=== debian/changelog ===
snacc (1.3.1-10) unstable; urgency=medium

  * QA upload.
  * Fix building with -Werror=implicit-function-declaration.
    (Closes: #1065981, #1066242)
  * Mark some symbols as optional if LTO is used.  (Closes: #1015664)
  * Fix building twice in a row.  (Closes: #1046185)
  * Enable all hardening flags.
  * Add upstream metadata.
  * Update watch file.
  * Bump Standards-Version to 4.6.2, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 04 Apr 2024 16:03:06 +0200

snacc (1.3.1-9.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062905

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 16:54:20 +0000

snacc (1.3.1-9) unstable; urgency=medium

  * QA upload.
  * debian/patches: Remove timestamps from generated headers.
    (Closes: #1010379)
  * debian/control: Update Vcs-* headers.
  * debian/control: Set Rules-Requires-Root to "no".
  * debian/changelog: Remove trailing whitespace.
  * Update to debhelper-compat 13.
  * Remove dh-autoreconf, now the default with debhelper compat 13.
  * debian/rules: Pass --no-parallel to dh.
  * debian/rules: Add dh_missing override to pass --list-missing.
  * debian/control: Update Standards-Version to 4.6.0.
  * snacc-doc: Update location of snacc-a5.ps
  * debian/control: Drop Build-Depends on autotools-dev, now the default
    debhelper compat 13.

 -- Vagrant Cascadian <vagrant@debian.org>  Fri, 29 Apr 2022 18:33:59 -0700

snacc (1.3.1-8) unstable; urgency=medium

  * Orphaning the package

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 20 Jan 2022 23:11:22 +0100

snacc (1.3.1-7) unstable; urgency=medium

  * Build-depend on libfl-dev (Closes: #846447)

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 01 Dec 2016 13:54:13 +0100

snacc (1.3.1-6) unstable; urgency=medium

  * Add symbols file
  * Simplify paths in *.install files
  * Covert package to use Debhelper
  * Update d/control using cme fix

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 15 Oct 2016 18:41:50 +0200

snacc (1.3.1-5) unstable; urgency=medium

  * Fix FTBFS by using -O0 in build (Closes: #746913)

 -- Balint Reczey <balint@balintreczey.hu>  Mon, 26 May 2014 21:23:02 +0200

snacc (1.3.1-4) unstable; urgency=low

  * debian/control
    - bump standards version to 3.9.4, no change was needed
    - remove DM-Upload-Allowed field
  * override package-name-doesnt-match-sonames Lintian warning
  * pick 01_Fix-options-parsing-in-snacc.patch and
    02_Fix-printing-version-information-in-berdecode.patch from upstream
    to fix crashes reported by The Mayhem Team

 -- Balint Reczey <balint@balintreczey.hu>  Sun, 30 Jun 2013 22:47:59 +0200

snacc (1.3.1-2) unstable; urgency=low

  [ Bart Martens ]
  * add watch file

  [ Balint Reczey ]
  * multiarch support

 -- Balint Reczey <balint@balintreczey.hu>  Mon, 07 Jan 2013 18:49:00 +0100

snacc (1.3.1-1) unstable; urgency=low

  * Adopting the package (Closes: #572884)
  * New upstream release 1.3.1 from new upstream
    - fix autoreconf warnings (Closes: #506439)
    - fix FTBS with -Werror=format-security (Closes: #654403)
    - use std::endl in asn-len.h (Closes: #547784)
  * Depend on dh-autoreconf instead of automake1.7 and autoconf
    (Closes:#648590, #628346)
  * Don't ship .la files in libsnacc-dev
  * Depend on debhelper >= 9
  * Use dh_clean for make clean
  * Drop simple patch system

 -- Balint Reczey <balint@balintreczey.hu>  Sun, 11 Mar 2012 20:40:57 +0100

snacc (1.3bbn-10) unstable; urgency=low

  * Endorse NMUs (closes: #374045, #377083, #394709, #418476, #424249, #442873).
  * New (= old) maintainer, because team does not exist.
  * Fixed some lintians.
  * Removed TeX source files from snacc-doc binary package.

 -- W. Martin Borgert <debacle@debian.org>  Tue, 22 Jul 2008 18:08:21 +0000

snacc (1.3bbn-9.3) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules
    - updated clean target (Closes: #424249)
    - added removal for usr/share/doc/snacc-doc in snacc (Closes: #418476)
  * debian/control
    - bump Suggest to automake1.7 (to follow what's in build-dep) (Closes:
      #394709)
    - updated libsnacc-dev to use ${binary:Version} for depends over libsnacc0c2
  * debian/patches/bts-442873.patch
    - added (Closes: #442873)
  * debian/snacc-doc.doc-base
    - fixed Section to Programming
  * debian/copyright
    - updated FSF address

 -- Sandro Tosi <matrixhasu@gmail.com>  Wed, 16 Apr 2008 01:42:50 +0200

snacc (1.3bbn-9.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules: Fix kshism.  Closes: #377083.

 -- Matej Vela <vela@debian.org>  Wed,  9 Aug 2006 14:52:26 +0200

snacc (1.3bbn-9.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules:
    - Use automake-1.7 even if /usr/bin/automake points to a different
      version.  Closes: #374045.
    - cdbs seems to have changed the default patch level for new files;
      adjust $(DEB_INSTALL_EXAMPLES_libsnacc-dev).
  * Change libsnacc-dev section to libdevel in accordance with the
    override file.

 -- Matej Vela <vela@debian.org>  Wed,  5 Jul 2006 09:30:10 +0200

snacc (1.3bbn-9) unstable; urgency=low

  * Now build-depends on libtool (closes: #321199).

 -- W. Borgert <debacle@debian.org>  Thu, 04 Aug 2005 18:40:05 +0000

snacc (1.3bbn-8) unstable; urgency=low

  * New maintainer:
    Debian FDT tool team <pkg-fdt-tools-team@lists.alioth.debian.org>,
    mainly Martin v. Löwis <martin@v.loewis.de>.
    (Closes: #204807).
    FDT = Formal Description Technique (e.g. ASN.1, MSC, SDL, TTCN-3)
  * Port to standard C++ library (Martin).
  * Rebuild for new C++ ABI (Martin).
  * Replace EOC with EOC_TAG_ID (Martin) (Closes: #307760).
  * Build uses CDBS, divided earlier changes in clean patches (me).
  * Removed -dbg package temporarily (me).
  * Fixes FTBFS on amd64 (Closes: #277690), thanks to Kurt Roeckx
    <Q@ping.be> for reporting and Larry Doolittle
    <ldoolitt@recycle.lbl.gov> for the patch.


