=== debian/control ===
Source: snacc
Maintainer: Debian QA Group <packages@qa.debian.org>
Section: devel
Priority: optional
Build-Depends:
               debhelper-compat (= 13),
               bison,
               flex,
 libfl-dev,
               docbook-xsl (>= 1.60),
 xsltproc,
# prevent accidental backports after the 64-bit time_t transition
 dpkg-dev (>= 1.22.5),
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/snacc
Vcs-Git: https://salsa.debian.org/debian/snacc.git
Homepage: https://github.com/nexgenta/snacc

Package: snacc
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: libsnacc-dev,
            snacc-doc
Suggests: automake
Description: ASN.1 to C or C++ or IDL compiler
 Snacc is short for "Sample Neufeld ASN.1 to C Compiler" and ASN.1
 stands for Abstract Syntax Notation One (ITU-T X.208/ISO 8824).
 Snacc supports a subset of ASN.1 1988.  If you need features of
 ASN.1 1992 or later, snacc is not for you.
 .
 Given an ASN.1 source file(s) snacc can produce:
 .
 1. C routines for BER encoding, decoding, printing and freeing.
 2. C++ routines for BER encoding, decoding, and printing.
 3. A type table that can be used with C driver routines
    for BER encoding, decoding, printing and freeing.
 .
 If you want to build snacc based applications, you want to install
 the libsnacc-dev package, too.  Your application will then depend on
 the snacc libraries, you find in the libsnacc0t64 package.

Package: libsnacc-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libsnacc0t64 (= ${binary:Version})
Recommends: snacc-doc
Description: ASN.1 to C or C++ or IDL compiler, development files
 Snacc is short for "Sample Neufeld ASN.1 to C Compiler" and ASN.1
 stands for Abstract Syntax Notation One (ITU-T X.208/ISO 8824).
 Snacc supports a subset of ASN.1 1988.  If you need features of
 ASN.1 1992 or later, snacc is not for you.
 .
 This package contains the static libraries and C/C++ header files for
 snacc development.

Package: libsnacc0t64
Provides: ${t64:Provides}
X-Time64-Compat: libsnacc0c2
Breaks: libsnacc0c2 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Conflicts: libsnacc0
Replaces: libsnacc0c2, libsnacc0
Description: ASN.1 to C or C++ or IDL compiler, shared libraries
 Snacc is short for "Sample Neufeld ASN.1 to C Compiler" and ASN.1
 stands for Abstract Syntax Notation One (ITU-T X.208/ISO 8824).
 Snacc supports a subset of ASN.1 1988.  If you need features of
 ASN.1 1992 or later, snacc is not for you.
 .
 These are the shared libraries for programs developed using snacc.

Package: snacc-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Recommends: evince | gv | postscript-viewer
Description: ASN.1 to C or C++ or IDL compiler, documentation
 Snacc is short for "Sample Neufeld ASN.1 to C Compiler" and ASN.1
 stands for Abstract Syntax Notation One (ITU-T X.208/ISO 8824).
 Snacc supports a subset of ASN.1 1988.  If you need features of
 ASN.1 1992 or later, snacc is not for you.
 .
 The documentation for snacc in PostScript format and LaTeX sources.
